rifftree(1)

NAME
rifftree - Print RIFF tree structure of an arbitrary RIFF file.

SYNOPSIS
rifftree [ -s | -v ] RIFFFILE

DESCRIPTION
Print RIFF tree structure of an arbitrary RIFF file. RIFF is a simple, binary file format intended for tree like data structures. Many proprietary file formats are built on top of the RIFF format (e.g. media file formats like WAV, AVI, DLS, GIG). Data in a RIFF file is encapsulated into so called "chunks". There are list chunks which can be seen as nodes in the data tree and thus can have childs (that is can have subchunks) and there are normal chunks which can be seen as leafs in the data tree and thus cannot have childs.

OPTIONS

RIFFFILE
    filename of the RIFF based file

-s  print the size of each RIFF chunk

-v  print version and exit

SEE ALSO
dlsdump(1) gigdump(1)

BUGS
None. Report bugs to http://bugs.linuxsampler.org

Author
Written by Christian Schoenebeck <cuse@users.sf.net>